package stackjava.com.futureTutorial;

import java.util.concurrent.*;

public class Demo2 {
	public static void main(String[] args) throws InterruptedException, ExecutionException, TimeoutException {
		Calculator c1 = new Calculator(1, 2);
		Calculator c2 = new Calculator(1, 3);
		Calculator c3 = new Calculator(2, 3);

		ExecutorService executor = Executors.newFixedThreadPool(10);
		Future<Integer> f1 = executor.submit(c1);
		System.out.println(f1.get(1, TimeUnit.SECONDS));
		Future<Integer> f2 = executor.submit(c2);
		Future<Integer> f3 = executor.submit(c3);
		System.out.println("Done");
		
		executor.shutdown();
	}
}
